Jump to content

Upgrade all packages with opkg not recommended?


mar0ni

Recommended Posts

as used to, i upgraded the os of my newly received mk7 just now. the problem is now, recon and pineap is not working anymore. error message shown is always 'pineap not started'. also, filters cannot be switched from 'deny' to allow. probably further issues. now i will have to do recovery.

is it not advised to do a upgrade of the installed openwrt packages at all?

Link to comment
Share on other sites

  • 4 weeks later...

Umm at the moment I have upgraded and not seen any issues so far, I have seen loads of people have scripts which do have opkg update in... I would suggest resetting the device if nothink is working and maybe see how it is after also there is a diagnostics mode in settings and do that and check the output ūüĎć

Hope it works and happy ethically hacking!

Link to comment
Share on other sites

  • 4 months later...

I encountered the exact same thing: after updating all packages on a freshly installed and configured MK7 (firmware 1.0.2) the PineAP failed to start. I had to perform a factory reset and have not yet had the time to retry. I switched to 1.1.0 beta for other reasons (usb-modeswitch) and also have not tried to upgrade that one, just some packages.

Note that upgrading all upgradable packages through a single command line ('opkg list-upgradable | cut -f 1 -d ' ' | xargs opkg upgrade' or equivalent) on OpenWRT and derivatives has always been discouraged and that is what I did anyway. 

hostapd is one of the packages that is upgradable and well that is a key package 

Link to comment
Share on other sites

Doing upgrades is of course standard procedure in most cases, but when it comes to the Mk7 it is generally good advise to avoid upgrading since it might break things (as experienced in this thread). It's at least what I've taken note of in previous Discord discussions.

Link to comment
Share on other sites

I just retried upgrading through opkg but this time by manually entering several opkg upgrade commands: again PineAP won't started.

My conclusion: do not use the opkg upgrades unless you're really, really sure a package does not interfere with the main functionality. I guess upgrading curl, nana, vim, busybox, etc. would not be an issue but hostapd, wpad, dnsmasq might.

Up to a factory reset it is ;-).

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...